Scala Compiler2.13.5 < Back


# Packages

-  package root

  The Scala compiler and reflection APIs.

  The Scala compiler and reflection APIs.

  Definition Classes
    root
-  package scala
  Definition Classes
    root
-  package tools
  Definition Classes
    scala
-  package nsc
  Definition Classes
    tools
-  object Reporting
  Definition Classes
    nsc
-  object Message
  Definition Classes
    Reporting
- Deprecation
- Plain

c

scala.tools.nsc.Reporting.Message

# Plain

###

#### final case class Plain(pos: Position, msg: String, category: WarningCategory, site: String) extends Message with Product with Serializable

Source
  Reporting.scala

Linear Supertypes
java.io.Serializable, Product, Equals, Message, AnyRef, Any
Type Hierarchy

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. Plain
2. Serializable
3. Product
4. Equals
5. Message
6. AnyRef
7. Any

Implicitly

1. by any2stringadd
2. by StringFormat
3. by Ensuring
4. by ArrowAssoc

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Instance Constructors

1.  new Plain(pos: Position, msg: String, category: WarningCategory, site: String)

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  def +(other: String): String
   Implicit
     This member is added by an implicit conversion from Plain toany2stringadd[Plain] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd
4.  def ->[B](y: B): (Plain, B)
   Implicit
     This member is added by an implicit conversion from Plain toArrowAssoc[Plain] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()
5.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
6.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
7.  val category: WarningCategory
   Definition Classes
     Plain → Message
8.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.CloneNotSupportedException]) @native()
9.  def ensuring(cond: (Plain) => Boolean, msg: => Any): Plain
   Implicit
     This member is added by an implicit conversion from Plain toEnsuring[Plain] performed by method Ensuring in scala.Predef.
   Definition Classes
     Ensuring
10.  def ensuring(cond: (Plain) => Boolean): Plain
    Implicit
      This member is added by an implicit conversion from Plain toEnsuring[Plain] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
11.  def ensuring(cond: Boolean, msg: => Any): Plain
    Implicit
      This member is added by an implicit conversion from Plain toEnsuring[Plain] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
12.  def ensuring(cond: Boolean): Plain
    Implicit
      This member is added by an implicit conversion from Plain toEnsuring[Plain] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
13.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
14.  def finalize(): Unit
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.Throwable])
15.  def formatted(fmtstr: String): String
    Implicit
      This member is added by an implicit conversion from Plain toStringFormat[Plain] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()
16.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
17.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
18.  val msg: String
    Definition Classes
      Plain → Message
19.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
20.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
21.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
22.  val pos: Position
    Definition Classes
      Plain → Message
23.  def productElementNames: Iterator[String]
    Definition Classes
      Product
24.  val site: String
    Definition Classes
      Plain → Message
25.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
26.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
27.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
28.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()

### Deprecated Value Members

1.  def →[B](y: B): (Plain, B)
   Implicit
     This member is added by an implicit conversion from Plain toArrowAssoc[Plain] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @deprecated
   Deprecated

     (Since version 2.13.0) Use `->` instead. If you still wish to display it as one character, consider using a font with programming ligatures such as Fira Code.

### Inherited from java.io.Serializable

### Inherited from Product

### Inherited from Equals

### Inherited from Message

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd fromPlain to any2stringadd[Plain]

### Inherited by implicit conversion StringFormat fromPlain to StringFormat[Plain]

### Inherited by implicit conversion Ensuring fromPlain to Ensuring[Plain]

### Inherited by implicit conversion ArrowAssoc fromPlain to ArrowAssoc[Plain]

### Ungrouped